<?php
/**
 * PHP4用の、ZipArchiveの実装。
 * 利用するものだけ実装する。
 * $Id: ZipArchivePhp4Impl.inc,v 1.1 2015/10/08 11:18:56 wanggb Exp $
 * @package jp.aimslib2.io
 */

class ZipArchivePhp4Impl {
	
	

	public function addEmptyDir($dirname) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function addFile($filename, $localname = null) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function addFromString($localname, $contents) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function close() {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function deleteIndex($index) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function deleteName($name) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function extractTo($destination, $entries = null) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function getArchiveComment() {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function getCommentIndex($index, $flags = null) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function getCommentName($name, $flags = null) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function getFromIndex($index, $flags = null) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function getFromName($name, $flags = null) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function getNameIndex($index) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function getStream($name) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function locateName($name) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function open($filename, $flags = null) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function renameIndex($index, $newname) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function renameName($name, $newname) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function setArchiveComment($comment) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function setCommentIndex($index, $comment) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function setCommentName($name, $comment) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function statIndex($index, $flags = null) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function statName($name, $flags = null) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function unchangeAll() {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function unchangeArchive() {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function unchangeIndex($index) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}
	
	public function unchangeName($name) {
		ErrorLogger::doOutput("Error:unimplemented function " . __FUNCTION__ . " called.", 0);
	}

}
?>